package intrinsic.mx.effects;

public class Effect extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public String filter;
	public intrinsic.mx.effects.EffectTargetFilter customFilter;
	public Object target;
	public boolean isPlaying;
	public intrinsic.Array relevantProperties;
	public boolean hideFocusRing;
	public intrinsic.Array relevantStyles;
	public intrinsic.mx.effects.IEffectTargetHost effectTargetHost;
	public double duration;
	public String className;
	public intrinsic.Array targets;

	/** Variables */
	public double perElementOffset;
	public boolean durationExplicitlySet;
	public int repeatDelay;
	public int startDelay;
	public intrinsic.Array propertyChangesArray;
	public int repeatCount;
	public intrinsic.Class instanceClass;
	public intrinsic.mx.effects.EffectTargetFilter filterObject;
	public boolean suspendBackgroundProcessing;
	public intrinsic.flash.events.Event initEvent;
	public boolean applyActualDimensions;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Effect() {
}

public Effect(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void captureMoreStartValues(intrinsic.Array arg0);
public native intrinsic.Array captureValues(intrinsic.Array arg0, boolean arg1);
public native void end();
public native void end(intrinsic.mx.effects.IEffectInstance arg0);
public native void resume();
public native void captureStartValues();
public native void pause();
public native intrinsic.mx.effects.IEffectInstance createInstance();
public native intrinsic.mx.effects.IEffectInstance createInstance(Object arg0);
public native intrinsic.Array play();
public native intrinsic.Array play(intrinsic.Array arg0);
public native intrinsic.Array play(intrinsic.Array arg0, boolean arg1);
public native intrinsic.Array getAffectedProperties();
public native void reverse();
public native void applyStartValues(intrinsic.Array arg0, intrinsic.Array arg1);
public native void captureEndValues();
public native intrinsic.Array createInstances();
public native intrinsic.Array createInstances(intrinsic.Array arg0);
public native void stop();
public native void deleteInstance(intrinsic.mx.effects.IEffectInstance arg0);

}
